Support new and discontinue old compilers

classic Classic list List threaded Threaded
5 messages Options
David Ostrovsky-3 David Ostrovsky-3
Reply | Threaded
Open this post in threaded view
|

Support new and discontinue old compilers


I'm pleased to share with you, that MSVC 15 (aka VS 2017) is up
and running on master: [1].

After fixing the VC++ runtime merge module merging problem in resulted
MSI in MSVC 14.0 and MSVC 15.0, the produced MSI can not only be
installed, but the LO can actually run after the installation. The VC++
Runtime merge module merging bug that started to show up since MSVC
14.0, is appeared to be a trivial problem, that was surprisingly hard
to track down: [2]. I don't want to enter into glory details here as
for why that was the case, but I will write a blog about that one.

That raises the question, if we are ready to move forward and left MSVC
12.0 (aka VS 2013) behind us: [3]. I know, it's always hard to get a
feedback on such questions, as you can see no reaction on this infra
issue: [4]. Needless to say that I asked on IRC too, without any
response, so I guess the only way to get a feedback on that one, is to
merge that change and see, if it's going to be reverted...

* [1] https://gerrit.libreoffice.org/#/c/31279
* [2] https://gerrit.libreoffice.org/#/c/33366/
* [3] https://gerrit.libreoffice.org/#/c/22588/
* [4] https://redmine.documentfoundation.org/issues/2147

_______________________________________________
LibreOffice mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/libreoffice
marius adrian popa marius adrian popa
Reply | Threaded
Open this post in threaded view
|

Re: Support new and discontinue old compilers

I will check the issue with Firebird 

On Wed, Feb 15, 2017 at 10:26 AM, David Ostrovsky <[hidden email]> wrote:

I'm pleased to share with you, that MSVC 15 (aka VS 2017) is up
and running on master: [1].

After fixing the VC++ runtime merge module merging problem in resulted
MSI in MSVC 14.0 and MSVC 15.0, the produced MSI can not only be
installed, but the LO can actually run after the installation. The VC++
Runtime merge module merging bug that started to show up since MSVC
14.0, is appeared to be a trivial problem, that was surprisingly hard
to track down: [2]. I don't want to enter into glory details here as
for why that was the case, but I will write a blog about that one.

That raises the question, if we are ready to move forward and left MSVC
12.0 (aka VS 2013) behind us: [3]. I know, it's always hard to get a
feedback on such questions, as you can see no reaction on this infra
issue: [4]. Needless to say that I asked on IRC too, without any
response, so I guess the only way to get a feedback on that one, is to
merge that change and see, if it's going to be reverted...

* [1] https://gerrit.libreoffice.org/#/c/31279
* [2] https://gerrit.libreoffice.org/#/c/33366/
* [3] https://gerrit.libreoffice.org/#/c/22588/
* [4] https://redmine.documentfoundation.org/issues/2147

_______________________________________________
LibreOffice mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/libreoffice


_______________________________________________
LibreOffice mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/libreoffice
sberg sberg
Reply | Threaded
Open this post in threaded view
|

Re: Support new and discontinue old compilers

On 02/15/2017 02:39 PM, marius adrian popa wrote:
> I will check the issue with Firebird
>
> http://paste.openstack.org/show/594333/

I at least don't see that problem with a build of recent LO master
against MSVC 2015.  Building external/firebird works fine for me.

_______________________________________________
LibreOffice mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/libreoffice
sberg sberg
Reply | Threaded
Open this post in threaded view
|

Re: Support new and discontinue old compilers

On 02/15/2017 04:22 PM, Stephan Bergmann wrote:
> On 02/15/2017 02:39 PM, marius adrian popa wrote:
>> I will check the issue with Firebird
>>
>> http://paste.openstack.org/show/594333/
>
> I at least don't see that problem with a build of recent LO master
> against MSVC 2015.  Building external/firebird works fine for me.

Ah, seeing the commit message of
<https://cgit.freedesktop.org/libreoffice/core/commit/?id=b862cbdd345ec57c2595629ded6a3969e1e65d56>
"Support MSVC 15.0", that issue is probably specific to MSVC 2017,
unrelated to MSVC 2015.
_______________________________________________
LibreOffice mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/libreoffice
David Ostrovsky-3 David Ostrovsky-3
Reply | Threaded
Open this post in threaded view
|

Re: Support new and discontinue old compilers

In reply to this post by marius adrian popa
On Wed, 2017-02-15 at 15:39 +0200, marius adrian popa wrote:
I will check the issue with Firebird 

Not needed, the failure above was outdated, the recent firebird failure is: [1],
which was trivial to fix: [2]. As a good open source citizen, I uploaded this PR
[3] upstream.

IOW, LO can be built on MSVC 15.0, even with firebird ;) I updated the WIKI
correspondingly: [4].



_______________________________________________
LibreOffice mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/libreoffice